Package: pyro4 / 4.23-1

Metadata

Package Version Patches format
pyro4 4.23-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
initscript_lsb_header.patch | (download)

contrib/init.d/pyro4-nsd | 11 10 + 1 - 0 !
1 file changed, 10 insertions(+), 1 deletion(-)

 use /bin/sh for initscript and add lsb headers
 Make it policy compilant and add LSB headers. Use /bin/sh for initscript,
 bash may not be installed.
 .
initscript_default_support.patch | (download)

contrib/init.d/pyro4-nsd | 12 12 + 0 - 0 !
1 file changed, 12 insertions(+)

 add default support to easy disable possibility
 Don't just run it, but make it easy to enable/disable.
 .
initscript_force reload.patch | (download)

contrib/init.d/pyro4-nsd | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

 add initscript force-reload support
 It will be default to restart for now as it has no configuration file to
 reload.
 .
initscript_fallback_to_python2.patch | (download)

contrib/init.d/pyro4-nsd | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

 support python 2.x and python 3.y versions in initscript
 Pyro4 support both Python2 and Python3 versions, use the one which is
 available.
 .
initscript_source_init_functions.patch | (download)

contrib/init.d/pyro4-nsd | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

 source init functions for systemd support
 Support systemd configurations.